import request from '@/utils/request';
// 获取设备总览 DataOverview
export const getDeviceOverview = (params) => {
  return request({
    url: '/api/largeScreen/getDeviceOverview',
    method: 'get',
    params: params
  });
};


// 报警事件，报警总数统计
export const getAlarmStatistics = (params) => {
  return request({
    url: '/api/largeScreen/getAlarmStatistics',
    method: 'get',
    params: params
  });
}


// 报警次数
export const getMonthlyAlarmStatistics = (params) => {
  return request({
    url: '/api/largeScreen/getMonthlyAlarmStatistics',
    method: 'get',
    params: params
  });
}

// 设备类别
export const getDeviceCommunicationModeStatistics = (params = {}) => {
  return request({
    url: '/api/largeScreen/getDeviceCommunicationModeStatistics',
    method: 'get',
    params: params
  });
}

// 设备使用频次
export const getDeviceUsageFrequency = (params = {}) => {
  return request({
    url: '/api/largeScreen/getDeviceUsageFrequency',
    method: 'get',
    params: params
  });
}

// 实时报警
export const getRealtimeAlarm = (params = {}) => {
  return request({
    url: '/api/largeScreen/getRealtimeAlarm',
    method: 'get',
    params: params
  });
}



